#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	ADMIN_BACKEND=-Dadmin=false
	SYSTEMD_FLAGS= \
		-Dsystemduserunitdir=no \
		-Dtmpfilesdir=no \
		-Dlogind=false \
		-Dgudev=false \
		-Dudisks2=false \
		-Dcdda=false \
		-Dgphoto2=false \
		-Dmtp=false \
		-Dlibusb=false
else
	ADMIN_BACKEND=
	SYSTEMD_FLAGS=
endif

ifeq (hurd-i386, $(DEB_HOST_ARCH))
	HURD_FLAGS = -Dafc=false -Dfuse=false -Dsmb=false
endif

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
        BLURAY_BACKEND = -Dbluray=false
endif

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dprivileged_group=sudo \
		$(ADMIN_BACKEND) \
		$(BLURAY_BACKEND) \
		$(SYSTEMD_FLAGS) \
		$(HURD_FLAGS)

override_dh_strip:
	dh_strip --dbgsym-migration='gvfs-dbg (<< 1.28.0-1~)'

override_dh_link-arch:
	dh_link -a
	for pkg in gvfs-backends gvfs-daemons gvfs-fuse; do \
	  ( mkdir -p debian/$$pkg/usr/lib/gvfs; cd debian/$$pkg/usr/lib/gvfs; ln -s ../../libexec/* . ); \
	done

override_dh_install:
	find debian/tmp -name '*.h' -print -delete
	dh_install
	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_shlibdeps:
	dh_shlibdeps -Lgvfs-libs -l/usr/lib/$(DEB_HOST_MULTIARCH)/gvfs

override_dh_auto_test:
	echo "Skipping testsuite as it's better run as an autopkgtest with machine isolation"
